package net.reslate.islandsurvivalcraft.interaction.commands;

import net.reslate.islandsurvivalcraft.interaction.commands.runnables.IslandCommand;

import net.reslate.islandsurvivalcraft.interaction.commands.runnables.*;

public enum RegisteredCommands {
    ISLAND(new IslandCommand()),
    HELP(new HelpCommand()),
    VALUE(new ValueCommand()),
    ;

    private final CommandRunnable commandRunnable;

    private RegisteredCommands(CommandRunnable runnable) {
        this.commandRunnable = runnable;
    }

    @Override
    public String toString() {
        return name().toLowerCase();
    }

    /**
     * @return the commandRunnable
     */
    public CommandRunnable getCommandRunnable() {
        return commandRunnable;
    }
}