package net.reslate.islandsurvivalcraft.utilities.pathfinding;

import net.reslate.islandsurvivalcraft.utilities.datatypes.Point2;

public class LinkedCoordinateValidator implements CoordinateValidatable {
    private final CoordinateValidatable[] CoordinateValidatables;

    public LinkedCoordinateValidator(CoordinateValidatable...coordinateValidatables) {
        this.CoordinateValidatables = coordinateValidatables;
    }

    @Override
    public boolean validate(Point2 point) {
        for (int i = 0; i < CoordinateValidatables.length; i++) {
            if (CoordinateValidatables[i].validate(point)) return true;
        }
        return false;
    }

}